<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:xwaffe-herstellerhaendler="http://www.xwaffe.de/schemata/herstellerhaendler/V2_6/"
           xmlns:din91379="urn:xoev-de:kosit:xoev:datentyp:din-91379_2022-08"
           xmlns:xoev-code="http://xoev.de/schemata/code/1_0"
           xmlns:xwaffe-kern="http://www.xwaffe.de/schemata/kern/V2_6/"
           targetNamespace="http://www.xwaffe.de/schemata/herstellerhaendler/V2_6/"
           version="2.6"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified">
   <xs:annotation>
      <xs:appinfo>
         <standard>
            <nameLang>XWaffe – Standard für die elektronische Datenübermittlung im deutschen Waffenwesen</nameLang>
            <nameKurz>XWaffe</nameKurz>
            <nameTechnisch>xwaffe</nameTechnisch>
            <kennung>urn:xoev-de:bmi:standard:xwaffe</kennung>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Grundlage der Kommunikation ist das Waffengesetz (WaffG) sowie das Waffenregistergesetz (WaffRG), sowie die zugehörigen Rechtsverordnungen (WaffRGDV). Mit Stand des WaffG und WaffRG vom 01. September 2020 werden die Meldepflichten von Inhabern waffenrechtlicher Erlaubnisse gem. §21 Abs. 1 WaffG (Händler, Hersteller) sowie die Übermittlungsanlässe der Waffenebehörden an das Nationalen Waffenregisters (NWR) unterstützt.</beschreibung>
         </standard>
         <versionStandard>
            <version>2.6</version>
            <beschreibung>Zur Unterstützung der effizienten und wirtschaftlichen Umsetzung durchgehender medienbruchfreier elektronischer Prozesse im deutschen Waffenwesen wird der Standard XWaffe erstellt. Grundlage der Kommunikation ist das Waffengesetz (WaffG) sowie das Waffenregistergesetz (WaffRG), sowie die zugehörigen Rechtsverordnungen (WaffRGDV). Mit Stand des WaffG und WaffRG vom 01. September 2020 werden die Meldepflichten von Inhabern waffenrechtlicher Erlaubnisse gem. §21 Abs. 1 WaffG (Händler, Hersteller) sowie die Übermittlungsanlässe der Waffenebehörden an das Nationalen Waffenregisters (NWR) unterstützt.</beschreibung>
            <versionXOEVProfil>3.0.1</versionXOEVProfil>
            <versionXOEVHandbuch>3.0.1</versionXOEVHandbuch>
            <versionXGenerator>3.1.1</versionXGenerator>
            <versionModellierungswerkzeug>19.0 SP4</versionModellierungswerkzeug>
            <nameModellierungswerkzeug>MagicDraw</nameModellierungswerkzeug>
         </versionStandard>
      </xs:appinfo>
   </xs:annotation>
   <xs:import schemaLocation="http://xoev.de/schemata/code/1_0/xoev-code.xsd"
              namespace="http://xoev.de/schemata/code/1_0"/>
   <xs:import schemaLocation="https://xoev.de/schemata/din/91379/2022-08/din-norm-91379-datatypes.xsd"
              namespace="urn:xoev-de:kosit:xoev:datentyp:din-91379_2022-08"/>
   <xs:import schemaLocation="xwaffe-baukasten.xsd"
              namespace="http://www.xwaffe.de/schemata/kern/V2_6/"/>
   <xs:complexType name="AngabenMeldepflichtiger">
      <xs:annotation>
         <xs:documentation>Bestandteil jeder Meldung an die Kopfstelle sind Angaben zum Meldepflichtigen</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="meldepflichtbegruendendeErlaubnisID"
                     type="xwaffe-kern:String.nwrID">
            <xs:annotation>
               <xs:documentation>Erlaubnis-ID des Meldepflichtigen.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldepflichtigerErlaubnisInhaberID"
                     type="xwaffe-kern:String.nwrID">
            <xs:annotation>
               <xs:documentation>ID des Meldepflichtigen.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="AttributeCode">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Attribute der NWR Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>Attribute der NWR Kopfstelle zum Standard XWaffe</nameKurz>
               <nameTechnisch>kopfstelle.attribute</nameTechnisch>
               <kennung>urn:xoev-de:xwaffe:codeliste:kopfstelle.attribute</kennung>
               <beschreibung>Beschreibt die von der NWR Kopfstelle definierten Attribute zum Standard XWaffe.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code" type="xs:token" form="unqualified"/>
               <xs:element name="name"
                           type="xs:normalizedString"
                           form="unqualified"
                           minOccurs="0"/>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:xoev-de:xwaffe:codeliste:kopfstelle.attribute"/>
            <xs:attribute name="listVersionID" type="xs:normalizedString" use="required"/>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="AttributeMeldeobjekt">
      <xs:annotation>
         <xs:documentation>Angaben zu den betroffenen Attributen eines Meldeobjekts.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="betroffenesMeldeobjekt"
                     minOccurs="0"
                     type="xwaffe-kern:String.nwrID">
            <xs:annotation>
               <xs:documentation>NWRID des gemeldeten Objektes auf die sich die Fehlermeldung bezieht.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="betroffeneAttribute"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:AttributeCode">
            <xs:annotation>
               <xs:documentation>Liste der Attribute auf die der erkannte Fehler zutrifft.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="Ergebnisdaten">
      <xs:annotation>
         <xs:documentation>Angaben der neu registrierten Objekte mit ID bzw. der Status der Überlassungsabsicht.</xs:documentation>
      </xs:annotation>
      <xs:choice>
         <xs:element name="registrierteWaffeWaffenteil"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:RegistrierteWaffeWaffenteil">
            <xs:annotation>
               <xs:documentation>Registrierte Waffen oder Waffenteile.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="pruefungUeberlassungsabsicht"
                     type="xwaffe-herstellerhaendler:UeberlassungsabsichtCode">
            <xs:annotation>
               <xs:documentation>Ergebnis der Überprüfung zur Überlassungsabsicht.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="bearbeitungVerzoegert" fixed="true" type="xs:boolean">
            <xs:annotation>
               <xs:documentation>Zeigt an, ob sich die Meldungsverarbeitung aufgrund technischer Probleme verzögert.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="enthaltenesWaffenteil"
                     maxOccurs="unbounded"
                     type="xwaffe-kern:EnthaltenesRegistriertesWaffenteil">
            <xs:annotation>
               <xs:documentation>Information über die enthaltenen registrierten Waffenteile der erworbenen Waffe.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:choice>
   </xs:complexType>
   <xs:complexType name="FehlerHinweis">
      <xs:annotation>
         <xs:documentation>Angaben zu Fehlern und Hinweisen.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="klasse"
                     type="xwaffe-herstellerhaendler:FehlerKlasseKopfstelleCode">
            <xs:annotation>
               <xs:documentation>Klasse des Fehlers.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fehlerHinweisNummer"
                     type="xwaffe-herstellerhaendler:FehlernummerKopfstelleCode">
            <xs:annotation>
               <xs:documentation>Hinweis zum Fehler.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="betroffeneAttributeMeldeobjekt"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:AttributeMeldeobjekt">
            <xs:annotation>
               <xs:documentation>Angaben zu den betroffenen Attributen eines Meldeobjekts.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="FehlerKlasseKopfstelleCode">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Fehlerklasse Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>FehlerklasseKopfstelle</nameKurz>
               <nameTechnisch>fehlerklassekopfstelle</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:fehlerklassekopfstelle</kennung>
               <beschreibung>Die Klasse eines Fehlers.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
            <genutzteCodeSpalte>Code</genutzteCodeSpalte>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           form="unqualified"
                           type="xwaffe-herstellerhaendler:FehlerKlasseKopfstelleCodeContent"/>
               <xs:element name="name"
                           type="xs:normalizedString"
                           form="unqualified"
                           minOccurs="0"/>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:fehlerklassekopfstelle"/>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.6"/>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="FehlernummerKopfstelleCode">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Fehlernummer der NWR Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>Fehlernummer der NWR Kopfstelle zum Standard XWaffe</nameKurz>
               <nameTechnisch>kopfstelle.fehlernummer</nameTechnisch>
               <kennung>urn:xoev-de:bmikm5:codeliste:kopfstelle.fehlernummer</kennung>
               <beschreibung>Ergebnis der Plausibilitätsprüfung bei der Verarbeitung der Meldungen</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
         </xs:appinfo>
         <xs:documentation>Ergebnis der Plausibilitätsprüfung bei der Verarbeitung der Meldungen</xs:documentation>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code" type="xs:token" form="unqualified"/>
               <xs:element name="name"
                           type="xs:normalizedString"
                           form="unqualified"
                           minOccurs="0"/>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:xoev-de:bmikm5:codeliste:kopfstelle.fehlernummer"/>
            <xs:attribute name="listVersionID" type="xs:normalizedString" use="required"/>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="MeldungsartCode">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Meldungsart zum Standard XWaffe</nameLang>
               <nameKurz>Meldungsart</nameKurz>
               <nameTechnisch>meldungsart</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:meldungsart</kennung>
               <beschreibung>Die Art der Meldung.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
            <genutzteCodeSpalte>Code</genutzteCodeSpalte>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           form="unqualified"
                           type="xwaffe-herstellerhaendler:MeldungsartCodeContent"/>
               <xs:element name="name"
                           type="xs:normalizedString"
                           form="unqualified"
                           minOccurs="0"/>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:meldungsart"/>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.6"/>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="Meldungsdaten">
      <xs:annotation>
         <xs:documentation>Daten der Aktivität, unterschieden noch einzelnen Kontexten</xs:documentation>
      </xs:annotation>
      <xs:choice>
         <xs:element name="produktionsplanungsanzeige"
                     type="xwaffe-kern:AngabenProduktionsplanungsanzeige"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Produktionsplanungsanzeige.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fertigmeldungsanzeige"
                     type="xwaffe-kern:AngabenFertigmeldung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Fertigmeldung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="produktionsAvisStorno"
                     type="xwaffe-kern:AngabenProduktionsstorno"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Storno der Produktionsplanung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="bestandsanzeige"
                     type="xwaffe-kern:AngabenBestandsanzeige"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Bestandsanzeige.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fertigstellungsdaten"
                     type="xwaffe-kern:AngabenFertigstellung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Fertigstellung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ueberlassung"
                     type="xwaffe-kern:AngabenUeberlassung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Überlassung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="erwerb" type="xwaffe-kern:AngabenErwerb" form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Erwerb.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ueberlassungsabsicht"
                     type="xwaffe-kern:AngabenUeberlassung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Überlassungsabsicht.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="abhandenkommen"
                     type="xwaffe-kern:AngabenAbhandenkommen"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Abhandenkommen.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="vernichtung"
                     type="xwaffe-kern:AngabenVernichtung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Vernichtung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="waffenteilaustausch"
                     type="xwaffe-kern:AngabenWaffenteilaustausch"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Austausch eines Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="umbau" type="xwaffe-kern:AngabenUmbau" form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zum Umbau.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="zerlegung"
                     type="xwaffe-kern:AngabenZerlegung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Zerlegung einer Waffe oder eines Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="unbrauchbarmachung"
                     type="xwaffe-kern:AngabenUnbrauchbarmachung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Unbrauchbarmachung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="blockierung"
                     minOccurs="0"
                     type="xwaffe-kern:AngabenBlockierung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Blockierung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="identifizierung"
                     type="xwaffe-kern:AngabenIdentifizierung"
                     form="unqualified">
            <xs:annotation>
               <xs:documentation>Daten zur Identifizierung.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:choice>
   </xs:complexType>
   <xs:complexType name="Meldungskopf">
      <xs:annotation>
         <xs:documentation>Der Meldungskopf ist Bestandteil jeder Nachricht im Austausch zwischen IT-Systemen der Händler / Hersteller und der Kopfstelle.</xs:documentation>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xwaffe-kern:Kopf">
            <xs:sequence>
               <xs:element name="anwenderkennung"
                           type="xwaffe-kern:StringLatin100"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Die Anwenderkennung stellt Informationen über die absendende Person zur Verfügung und dient der Protokollierung. Im Rahmen der Kommunikation mit der zentralen Komponente kann anhand dieser Kennung die absendende Person eindeutig identifiziert werden. Typischerweise wird entweder die Anwenderkennung der ÖWS oder die Windowsanwenderkennung übermittelt. Im Falle der Übermittlung einer Meldung durch Händler- und Hersteller an die Kopfstelle enthält die Anwenderkennung die NWR-ID des meldepflichtigen Inhabers der waffenrechtlichen Eraubnis. Im Falle der Übermittlung der Nachricht durch die Kopfstelle an die Zentrale Komponente enthält die Anwenderkennung die NWR-ID des meldepflichtigen Inhabers der waffenrechtlichen Erlaubnis.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="erstellungszeitpunkt" type="xs:dateTime" form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Datum, zu dem die Nachricht erstellt wurde. Anmerkung: Sende- und Empfangszeitpunkt können in der Regel aus der Transportschicht entnommen werden. Beispiel: 2002-05-30T09:30:10.5 Format: JJJJ-MM-DD'T'HH:mm</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="nachrichtenID"
                           type="xwaffe-kern:String.transaktionID"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Eindeutige ID (UUID) zur Identifikationen einer Nachricht. Hinweis: Ab XWaffe 2.0 werden die ehemals im Feld NachrichtenID übertragenen Informationen im Feld lfdNrNachrichtInVorgang übermittelt.</xs:documentation>
                  </xs:annotation>
               </xs:element>
               <xs:element name="softwarekennung"
                           minOccurs="0"
                           type="din91379:datatypeC"
                           form="unqualified">
                  <xs:annotation>
                     <xs:documentation>Kennung der sendenden Software inklusive eingesetzter Version.</xs:documentation>
                  </xs:annotation>
               </xs:element>
            </xs:sequence>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="RegistrierteWaffeWaffenteil">
      <xs:annotation>
         <xs:documentation>Registrierte Waffe oder Waffenteil.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="laufendeNummer" type="xs:integer">
            <xs:annotation>
               <xs:documentation>laufende Nummer der registrierte Waffe oder Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="registrierteWaffeWaffenteilID" type="xwaffe-kern:String.nwrID">
            <xs:annotation>
               <xs:documentation>ID der registrierten Waffe oder Waffenteils.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="TransaktionIdentifikation">
      <xs:annotation>
         <xs:documentation>Daten zu einer Transaktion.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID" type="xwaffe-kern:String.transaktionID">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungsart" type="xwaffe-herstellerhaendler:MeldungsartCode">
            <xs:annotation>
               <xs:documentation>Art der Meldung, die rückabgewickelt werden soll.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="Transaktionsinformation">
      <xs:annotation>
         <xs:documentation>Transaktiondaten der Kopfstelle</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionsstatus"
                     type="xwaffe-herstellerhaendler:TransaktionsstatusCode">
            <xs:annotation>
               <xs:documentation>Status der Transaktion.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungsdaten" type="xwaffe-herstellerhaendler:Meldungsdaten">
            <xs:annotation>
               <xs:documentation>Die Daten der vom Meldepflichtigen übermittelten Meldung,</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungseingang" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum des Meldungseinganges in der Kopfstelle</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ergebnisBereitgestelltAm" minOccurs="0" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum der Bereitstellung des durchgeführten Verarbeitung mit dem Transaktionstatus "Ergebnis bereitgestellt".</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ersterErgebnisabruf" minOccurs="0" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum des ersten Abrufes des verarbeiteten Transaktionsergebnisses</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="lesebestaetigungErhaltenAm" minOccurs="0" type="xs:dateTime">
            <xs:annotation>
               <xs:documentation>Datum der Lesebestätigungsmeldung des Meldenden</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="rueckabgewickeltDurchTransaktionID"
                     minOccurs="0"
                     type="xwaffe-kern:String.transaktionID">
            <xs:annotation>
               <xs:documentation>ID der durch HuH gesandten Nachricht zur Rückabwicklung der Transaktion</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="Transaktionsstand">
      <xs:annotation>
         <xs:documentation>Stand einer Transaktion, die den Anfrageparametern entspricht</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID" type="xwaffe-kern:String.transaktionID">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="transaktionsstatus"
                     type="xwaffe-herstellerhaendler:TransaktionsstatusCode">
            <xs:annotation>
               <xs:documentation>Status der Transaktion.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="TransaktionsstatusCode">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Transaktionsstatus zum Standard XWaffe</nameLang>
               <nameKurz>Transaktionsstatus</nameKurz>
               <nameTechnisch>transaktionsstatus</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:transaktionsstatus</kennung>
               <beschreibung>Der Status der Transaktion.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
            <genutzteCodeSpalte>Code</genutzteCodeSpalte>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           form="unqualified"
                           type="xwaffe-herstellerhaendler:TransaktionsstatusCodeContent"/>
               <xs:element name="name"
                           type="xs:normalizedString"
                           form="unqualified"
                           minOccurs="0"/>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:transaktionsstatus"/>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.6"/>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="UeberlassungsabsichtCode">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Überlassungsabsicht zum Standard XWaffe</nameLang>
               <nameKurz>Überlassungsabsicht</nameKurz>
               <nameTechnisch>ueberlassungsabsicht</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:ueberlassungsabsicht</kennung>
               <beschreibung>Die Art der Überlassungsabsicht.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
            <genutzteCodeSpalte>Code</genutzteCodeSpalte>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code"
                           form="unqualified"
                           type="xwaffe-herstellerhaendler:UeberlassungsabsichtCodeContent"/>
               <xs:element name="name"
                           type="xs:normalizedString"
                           form="unqualified"
                           minOccurs="0"/>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:xwaffe:codelisten:ueberlassungsabsicht"/>
            <xs:attribute name="listVersionID"
                          type="xs:normalizedString"
                          use="optional"
                          fixed="2.6"/>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="VerarbeitungCode">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Verarbeitung</nameLang>
               <nameKurz>Verarbeitung</nameKurz>
               <nameTechnisch>verarbeitung</nameTechnisch>
               <kennung>urn:de:mv:dvz:codelisten:verarbeitung</kennung>
               <beschreibung>Stand der Verarbeitung</beschreibung>
               <herausgebernameLang>Datenverarbeitungszentrum Mecklenburg-Vorpommern</herausgebernameLang>
               <herausgebernameKurz>DVZMV</herausgebernameKurz>
            </codeliste>
         </xs:appinfo>
      </xs:annotation>
      <xs:complexContent>
         <xs:restriction base="xoev-code:Code">
            <xs:sequence>
               <xs:element name="code" type="xs:token" form="unqualified"/>
               <xs:element name="name"
                           type="xs:normalizedString"
                           form="unqualified"
                           minOccurs="0"/>
            </xs:sequence>
            <xs:attribute name="listURI"
                          type="xs:anyURI"
                          use="optional"
                          fixed="urn:de:mv:dvz:codelisten:verarbeitung"/>
            <xs:attribute name="listVersionID" type="xs:normalizedString" use="required"/>
         </xs:restriction>
      </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="Verarbeitungsergebnis">
      <xs:annotation>
         <xs:documentation>Verarbeitungsergebnis des Automatisierten Fachverfahrens (AFV)</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID" type="xwaffe-kern:String.transaktionID">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung, dessen Verarbeitungsergebnis bereitgestellt wird.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldungsart" type="xwaffe-herstellerhaendler:MeldungsartCode">
            <xs:annotation>
               <xs:documentation>Art der Meldung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fehlerHinweis"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:FehlerHinweis">
            <xs:annotation>
               <xs:documentation>Die im Rahmen der Verarbeitung aufgetretenen Hinweise und Fehler.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="ergebnisdaten"
                     minOccurs="0"
                     type="xwaffe-herstellerhaendler:Ergebnisdaten">
            <xs:annotation>
               <xs:documentation>Angabe der neu registrierten Objekte mit ID bzw. der Status der Überlassungsabsicht.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="iDUrspruenglicheErlaubnis"
                     minOccurs="0"
                     type="xwaffe-kern:String.nwrID">
            <xs:annotation>
               <xs:documentation>Die ErlaubnisID der ursprünglichen WBK, an die die Waffe wieder zurücküberlassen werden muss (aktuell nur im Falle des Erwerbs ohne Anzeigepflicht).</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="Verarbeitungsprofil">
      <xs:annotation>
         <xs:documentation>Identifizierende Angaben zum Abruf von Transaktionen mit ihrem Verarbeitungsstatus.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="transaktionID"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-kern:String.transaktionID">
            <xs:annotation>
               <xs:documentation>Transaktionsnummer der Meldung.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="transaktionsstatus"
                     minOccurs="0"
                     maxOccurs="unbounded"
                     type="xwaffe-herstellerhaendler:TransaktionsstatusCode">
            <xs:annotation>
               <xs:documentation>Status der Transaktion.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="meldezeitraum" minOccurs="0" type="xwaffe-kern:Abrufzeitraum">
            <xs:annotation>
               <xs:documentation>Möglichkeit der Einschränkung auf die Meldungen in einem Zeitraum.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:complexType name="Verarbeitungsstatus">
      <xs:annotation>
         <xs:documentation>Verarbeitungscode der Kopfstelle ggf. mit ergänzenden Angaben zu den aufgetretenen Fehlern.</xs:documentation>
      </xs:annotation>
      <xs:sequence>
         <xs:element name="verarbeitungscode"
                     type="xwaffe-herstellerhaendler:VerarbeitungCode">
            <xs:annotation>
               <xs:documentation>Verarbeitungsstand</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="fehlerKlartext" minOccurs="0" type="din91379:datatypeC">
            <xs:annotation>
               <xs:documentation>In Ergänzung zu den Fehlernummern wird ein Fehlerklartext übergeben.</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="weitereInformationen" minOccurs="0" type="din91379:datatypeC">
            <xs:annotation>
               <xs:documentation>In Ergänzung zu den Fehlernummern wird ein durch die Kopfstelle (nicht AFV) erzeugter Fehlerklartext mit kontextbezogenen Zusatzinformationen zurückgegeben.</xs:documentation>
            </xs:annotation>
         </xs:element>
      </xs:sequence>
   </xs:complexType>
   <xs:simpleType name="FehlerKlasseKopfstelleCodeContent">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Fehlerklasse Kopfstelle zum Standard XWaffe</nameLang>
               <nameKurz>FehlerklasseKopfstelle</nameKurz>
               <nameTechnisch>fehlerklassekopfstelle</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:fehlerklassekopfstelle</kennung>
               <beschreibung>Die Klasse eines Fehlers.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="0">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Fehlerfall mit Abbruch bei der Entgegennahme der Meldung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="I">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Fehlerfälle mit Abbruch der Verarbeitung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="II">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Beendigung der Verarbeitung ohne Rückabwicklung der Meldung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="III">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Beendigung der Verarbeitung ohne Rückabwicklung der Meldung mit zusätzlicher Bereitstellung eines Hinweises für die zuständige Waffenbehörde</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:simpleType name="MeldungsartCodeContent">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Meldungsart zum Standard XWaffe</nameLang>
               <nameKurz>Meldungsart</nameKurz>
               <nameTechnisch>meldungsart</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:meldungsart</kennung>
               <beschreibung>Die Art der Meldung.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="1">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Bestand</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="12">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Abhandenkommen</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="13">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Unbrauchbarmachung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="14">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Blockierung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="15">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Vernichtung / Zerstörung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="16">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Austausch eines Waffenteils</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="17">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Umbau</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="18">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Zerlegung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="19">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Rückabwicklung einer Meldung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="2">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Produktionsplanung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="21">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>DeBlockierung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="22">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Entnahme</Codename>
                  <letzte-Aenderung>30.10.2021</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="23">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Nachmeldung eines Waffenteils</Codename>
                  <letzte-Aenderung>27.04.2024</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="3">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Fertigstellung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="4">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Fertigstellung nach Produktionsplanung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="5">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Storno einer Produktionsplanung oder eines Erwerbsavis</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="6">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Hinzufügen eines Waffenteils</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="7">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Überlassung</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="8">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Erwerb</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="9">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Überlassungsabsicht</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:simpleType name="TransaktionsstatusCodeContent">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Transaktionsstatus zum Standard XWaffe</nameLang>
               <nameKurz>Transaktionsstatus</nameKurz>
               <nameTechnisch>transaktionsstatus</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:transaktionsstatus</kennung>
               <beschreibung>Der Status der Transaktion.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="1">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Entgegengenommen</Codename>
                  <Beschreibung>Status der Transaktion, nachdem die Meldung die initiale Prüfung durch das Händler-Portal bestanden und eine Transaktions-ID erhalten hat.</Beschreibung>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="2">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Bearbeitung verzögert</Codename>
                  <Beschreibung>Status der Transaktion, wenn aufgrund technischer Probleme die Verarbeitung der Transaktion angehalten wurde.</Beschreibung>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="3">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Ergebnis bereitgestellt</Codename>
                  <Beschreibung>Status der Transaktion, wenn die Verarbeitung der Meldung abgeschlossen ist und das Ergebnis zum Abruf durch den Meldenden bereitsteht.</Beschreibung>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="4">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Ergebnis gelesen</Codename>
                  <Beschreibung>Status der Transaktion, wenn die Verarbeitung der Meldung abgeschlossen ist und der Meldende das Ergebnis gelesen hat.</Beschreibung>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="5">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Historisch</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="6">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Unbekannt</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
   <xs:simpleType name="UeberlassungsabsichtCodeContent">
      <xs:annotation>
         <xs:appinfo>
            <codeliste>
               <nameLang>Überlassungsabsicht zum Standard XWaffe</nameLang>
               <nameKurz>Überlassungsabsicht</nameKurz>
               <nameTechnisch>ueberlassungsabsicht</nameTechnisch>
               <kennung>urn:de:xwaffe:codelisten:ueberlassungsabsicht</kennung>
               <beschreibung>Die Art der Überlassungsabsicht.</beschreibung>
               <herausgebernameLang>Bundesministerium des Innern und für Heimat, Referat KM5</herausgebernameLang>
               <herausgebernameKurz>BMIKM5</herausgebernameKurz>
            </codeliste>
            <versionCodeliste>
               <version>2.6</version>
               <datumGueltigkeitAb>2024-04-27</datumGueltigkeitAb>
               <versionCodelistenHandbuch>1.2</versionCodelistenHandbuch>
            </versionCodeliste>
            <codelistenspalten>
               <Code>
                  <spaltennameLang>Code</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>true</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>true</empfohleneCodeSpalte>
               </Code>
               <Codename>
                  <spaltennameLang>Codename</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>required</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Codename>
               <Beschreibung>
                  <spaltennameLang>Beschreibung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </Beschreibung>
               <letzte-Aenderung>
                  <spaltennameLang>letzte Änderung</spaltennameLang>
                  <datentyp>string</datentyp>
                  <codeSpalte>false</codeSpalte>
                  <verwendung>optional</verwendung>
                  <empfohleneCodeSpalte>false</empfohleneCodeSpalte>
               </letzte-Aenderung>
            </codelistenspalten>
         </xs:appinfo>
      </xs:annotation>
      <xs:restriction base="xs:token">
         <xs:enumeration value="1">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Erwerbserlaubnis zum angegebenen Überlassungsdatum nicht abgelaufen</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
         <xs:enumeration value="2">
            <xs:annotation>
               <xs:appinfo>
                  <Codename>Erwerbserlaubnis zum angegebenen Überlassungsdatum abgelaufen</Codename>
                  <letzte-Aenderung>08.12.2018</letzte-Aenderung>
               </xs:appinfo>
            </xs:annotation>
         </xs:enumeration>
      </xs:restriction>
   </xs:simpleType>
</xs:schema>
